{% extends "@Paa/Default/entityFormBase.html.twig" %}
{#MC 20200903#}
{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidCompteur }}</div>
{% endblock %}

{% block formulaire %}
    {% if poForm.cnomCompteur is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.cnomCompteur, "Nom", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(poForm.cnomCompteur, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {% if poForm.itype is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.itype, "Type ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

            <div class="col-sm-10 col-xs-12 col-md-10 col-lg-10">
                {{ form_widget(poForm.itype, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {% if poForm.mcommentaire is defined %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.mcommentaire, "Commentaire ", {'label_attr': {'class': 'm-0 mr-3 control-label'}}) }}

            <div class="col-sm-10 col-md-10 col-lg-10">
                {{ form_widget(poForm.mcommentaire, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
{% endblock %}